I overlaid the 491psp5_nwfilter_1 files on a 4.91SP5 install source, as per the readme but when I tried to run the SETUPSP it reported:

Error: Unable to locate the required Support Pack installation files.
Attempted control INF:C:\temp\postsp5\SETUP2K.INF
Attempted install INF:C:\temp\postsp5\NLS\ENGLISH\SETUP2K.INF

It looks like the SETUP2K.INF file has been incorrectly included in the 'base' of the extraction (and a polish localization version, at that! ;-)

If this file is removed from the base of the install source, then it works fine...